<p align='center'>
    <a href='https://hai2007.github.io/xhtml-engine' target='_blank'>
        <img src='./logo.png'>
    </a>
</p>

# xhtml-engine
🌊 xhtml字符串解析引擎。

<p align="center">
  <a href="https://hai2007.gitee.io/npm-downloads?interval=7&packages=xhtml-engine"><img src="https://img.shields.io/npm/dm/xhtml-engine.svg" alt="downloads"></a>
  <a href="https://packagephobia.now.sh/result?p=xhtml-engine"><img src="https://packagephobia.now.sh/badge?p=xhtml-engine" alt="install size"></a>
  <a href="https://www.jsdelivr.com/package/npm/xhtml-engine"><img src="https://data.jsdelivr.com/v1/package/npm/xhtml-engine/badge" alt="CDN"></a>
  <a href="https://www.npmjs.com/package/xhtml-engine"><img src="https://img.shields.io/npm/v/xhtml-engine.svg" alt="Version"></a>
  <a href="https://github.com/hai2007/xhtml-engine/blob/master/LICENSE"><img src="https://img.shields.io/npm/l/xhtml-engine.svg" alt="License"></a>
    <a href="https://github.com/hai2007/xhtml-engine" target='_blank'><img alt="GitHub repo stars" src="https://img.shields.io/github/stars/hai2007/xhtml-engine?style=social"></a>
</p>

## 说明

本项目是一个处理HTML模板的引擎，你可以用类似jQuery的方式去操作一段字符串模板，比如Vue-loader根据template生成render函数基于此开发将会非常容易。

首先你需要通过命令行安装，就像这样：

```bash
npm install --save xhtml-engine
```

安装好了以后，传入需要的字符串获取引擎对象：

```js
import xHtmlEngine from 'xhtml-engine';
let Engine = xHtmlEngine(tempate);
```

或

```js
let Engine = require('xhtml-engine')(tempate);
```

获得引擎对象以后，就可以直接调用上面的方法进行操作了（这和在浏览器上操作DOM很像），具体的你可以[查看文档](https://hai2007.github.io/xhtml-engine/)。

由于项目的建立是来自日常工作的需求，如果你希望下一版本提供新的功能，可以提[issue](https://github.com/hai2007/xhtml-engine/issues)告知我们！

开源协议
---------------------------------------
[MIT](https://github.com/hai2007/xhtml-engine/blob/master/LICENSE)

Copyright (c) 2020-2021 [hai2007](https://hai2007.gitee.io/sweethome/) 走一步，再走一步。
